/*
 * gbiff2 program
 * Copyright (C) 2000-2002 Nicolas Rougier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
#include "gbiff2.h"

#ifndef __INTERFACE_H
#define __INTERFACE_H

int buildInterface (Biff *biff);
void buildPopup (Biff *biff);
#ifdef USE_GNOME
int buildApplet (GtkWidget *applet, Biff *biff);
#endif

void updateBiffToInterface (Biff *biff);
void updateBiffFromInterface (Biff *biff);

void updateBiff (Biff *biff);

void checkMail (Biff *biff, int force);
void popdown (Biff *biff);

void updateApplet (Biff *biff);

#endif /* __INTERFACE_H */ 
